﻿Imports Reg = Microsoft.Win32.Registry
Imports System.Data.SqlClient
Imports fio = Microsoft.VisualBasic.FileIO.FileSystem
Imports System.Deployment.Application

Public Class frmdemo
    Public Const HCU As String = "HKEY_CURRENT_USER\"
    Public Const ajk As String = "a-jur-Kanzleisoftware"
    Friend sGapKey As String = "SOFTWARE\" & ajk
    Friend sZoomKey As String = sGapKey & "\Zoom"
    Friend sOptionenKey As String = sGapKey & "\optionen"
    Friend sFavoritenKey As String = sGapKey & "\favoriten"
    Friend sFavoriten2Key As String = sGapKey & "\favoriten2"
    Friend sAutostartKey As String = sGapKey & "\autostart"
    Friend sDatenbankenKey As String = sGapKey & "\datenbanken"
    Friend sDatabaseKey As String
    Dim NetAdoCnnStr As String

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Dim Datenpool As String
        Datenpool = Reg.GetValue(HCU & sDatenbankenKey, vbNullChar, String.Empty)
        If Datenpool Is Nothing Or Datenpool = String.Empty Then
            MsgBox("Es ist keine frühere Verbindung angegeben.", MsgBoxStyle.Critical)
            Exit Sub
        End If

        Dim rk As Microsoft.Win32.RegistryKey = Reg.CurrentUser.OpenSubKey(sDatenbankenKey & "\" & Datenpool & "\Verbindung")
        If rk Is Nothing Then
            MsgBox("Keine Verbindungsparameter gefunden.", MsgBoxStyle.Critical)
            Exit Sub
        End If
        Dim cnnNet As New SqlConnectionStringBuilder
        Dim wert As String
        For Each valueName As String In rk.GetValueNames
            wert = rk.GetValue(valueName).ToString
            Select Case valueName
                Case "Data Source", "Integrated Security", "Initial Catalog", "User Id", "Password"
                    cnnNet.Add(valueName, wert)
            End Select
        Next
        NetAdoCnnStr = cnnNet.ToString
        rk.Close()
        Dim cnn = New SqlConnection(NetAdoCnnStr)
        Try
            cnn.Open()
        Catch ex As SqlException
            MsgBox(ex.Message, MsgBoxStyle.Exclamation, "Verbindung zu " & Datenpool)
            Exit Sub
        Catch ex As Exception
            MsgBox(ex.Message, MsgBoxStyle.Exclamation, "Verbindung zu " & Datenpool)
            Exit Sub
        End Try
        cnn.Close()
        sDatabaseKey = sDatenbankenKey & "\" & Datenpool

        Dim Parameter As Array = (Environment.CommandLine & ",,,,").Split(",")
        Dim Az As String = Parameter(1).trim
        Dim AdressId As Long = Val(Parameter(2))
        Dim Abi As Long = Val(Parameter(3))

        '        Az = "5555/55"
        '        AdressId = 16
        '        Abi = 1

        Me.lblAz.Text = Az
        Me.lblAdressId.Text = AdressId.ToString
        Me.lblAbi.Text = Abi.ToString

        Dim ada As New SqlDataAdapter("SELECT * FROM akten WHERE aktenzeichen='" & Az & "'", cnn)
        Dim dt As New DataTable
        cnn.Open()
        ada.Fill(dt)
        If dt.Rows.Count > 0 Then
            Me.lblAktenbezeichnung.Text = dt.Rows(0).Item("Kurzrubrum")
        End If
        cnn.Close()

        ada = New SqlDataAdapter("SELECT * FROM adressen WHERE id=" & AdressId, cnn)
        dt = New DataTable
        cnn.Open()
        ada.Fill(dt)
        If dt.Rows.Count > 0 Then
            Me.lblVollername.Text = dt.Rows(0).Item("Vollername")
        End If
        cnn.Close()

        ada = New SqlDataAdapter("SELECT * FROM aktenbeteiligte WHERE id=" & Abi, cnn)
        dt = New DataTable
        cnn.Open()
        ada.Fill(dt)
        If dt.Rows.Count > 0 Then
            Me.lblBetreff.Text = dt.Rows(0).Item("betreff")
        End If
        cnn.Close()

        ada.Dispose()
        dt.Dispose()
    End Sub

    Private Sub cmdClose_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdClose.Click
        Application.Exit()
    End Sub
End Class
